Index: tmp/org.txm.statsengine.core/schema/org.txm.statsengine.exsd
===================================================================
--- tmp/org.txm.statsengine.core/schema/org.txm.statsengine.exsd	(revision 0)
+++ tmp/org.txm.statsengine.core/schema/org.txm.statsengine.exsd	(revision 783)
@@ -0,0 +1,102 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!-- Schema file written by PDE -->
+<schema targetNamespace="org.txm.statsengine.core" xmlns="http://www.w3.org/2001/XMLSchema">
+<annotation>
+      <appinfo>
+         <meta.schema plugin="org.txm.statsengine.core" id="org.txm.statsengine.core.StatsEngine" name="Stats Engine"/>
+      </appinfo>
+      <documentation>
+         A stats engine allow to call statistical commands.
+      </documentation>
+   </annotation>
+
+   <element name="extension">
+      <annotation>
+         <appinfo>
+            <meta.element />
+         </appinfo>
+      </annotation>
+      <complexType>
+         <choice minOccurs="1" maxOccurs="unbounded">
+            <element ref="StatsEngine"/>
+         </choice>
+         <attribute name="point" type="string" use="required">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+            </annotation>
+         </attribute>
+         <attribute name="id" type="string">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+            </annotation>
+         </attribute>
+         <attribute name="name" type="string">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+               <appinfo>
+                  <meta.attribute translatable="true"/>
+               </appinfo>
+            </annotation>
+         </attribute>
+      </complexType>
+   </element>
+
+   <element name="StatsEngine">
+      <complexType>
+         <attribute name="class" type="string">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+               <appinfo>
+                  <meta.attribute kind="java" basedOn="org.txm.statsengine.core.StatsEngine:"/>
+               </appinfo>
+            </annotation>
+         </attribute>
+      </complexType>
+   </element>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="since"/>
+      </appinfo>
+      <documentation>
+         [Enter the first release in which this extension point appears.]
+      </documentation>
+   </annotation>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="examples"/>
+      </appinfo>
+      <documentation>
+         [Enter extension point usage example here.]
+      </documentation>
+   </annotation>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="apiinfo"/>
+      </appinfo>
+      <documentation>
+         [Enter API information here.]
+      </documentation>
+   </annotation>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="implementation"/>
+      </appinfo>
+      <documentation>
+         [Enter information about supplied implementation of this extension point.]
+      </documentation>
+   </annotation>
+
+
+</schema>

Index: tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/StatsEnginesManager.java
===================================================================
--- tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/StatsEnginesManager.java	(revision 0)
+++ tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/StatsEnginesManager.java	(revision 783)
@@ -0,0 +1,80 @@
+package org.txm.statsengine.core;
+
+import org.eclipse.core.runtime.CoreException;
+import org.eclipse.core.runtime.IConfigurationElement;
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.Platform;
+import org.txm.Engine;
+import org.txm.EngineType;
+import org.txm.EnginesManager;
+import org.txm.Toolbox;
+import org.txm.utils.logger.Log;
+
+public class StatsEnginesManager extends EnginesManager<StatsEngine> {
+
+	public static StatsEngine getREngine() {
+		return (StatsEngine) Toolbox.getEngineManager(EngineType.STATS).getEngine("R");
+	}
+
+	@Override
+	protected boolean fetchEngines() {
+
+		IConfigurationElement[] contributions = Platform.getExtensionRegistry().getConfigurationElementsFor(StatsEngine.EXTENSION_POINT_ID);
+
+		Log.finest("Looking for stats engines contributions with extension point id " + StatsEngine.EXTENSION_POINT_ID + ".");
+		
+		Log.finest(contributions.length + " stats engines found.");
+		
+		for (int i = 0; i < contributions.length; i++) {
+			try {
+				StatsEngine e = (StatsEngine)contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
+				// register something with the SearchEngine ?
+				engines.put(e.getName(), e);
+			} catch(CoreException e) {
+				e.printStackTrace();
+			} 
+		}
+
+		return engines.size() > 0;
+	}
+
+	@Override
+	public EngineType getEnginesType() {
+		return EngineType.STATS;
+	}
+
+	@Override
+	public boolean startEngines(IProgressMonitor monitor) {
+		//System.out.println("StatEngines.startEngines: "+engines);
+		for (Engine e : engines.values()) {
+
+			StatsEngine se = (StatsEngine)e;
+			if (monitor != null) monitor.subTask("Starting " + se.getName() + " statengine...");
+			try {
+				se.start(monitor);
+			} catch (Exception e2) {
+				System.err.println("Error: fail to start stats engine: "+se.getName()+": "+e2.getLocalizedMessage());
+				e2.printStackTrace();
+			}
+
+		}
+		return true;
+	}
+
+	@Override
+	public boolean stopEngines() {
+
+		for (Engine e : engines.values()) {
+
+			StatsEngine se = (StatsEngine)e;
+			System.out.println("Stopping " + se.getName() + " stats engine...");
+			try {
+				se.stop();
+			} catch (Exception e2) {
+				System.err.println("Error: failed to stop stats engine: " + se.getName() + ": " + e2.getLocalizedMessage());
+				e2.printStackTrace();
+			}
+		}
+		return true;
+	}
+}

Index: tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/StatsEngine.java
===================================================================
--- tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/StatsEngine.java	(revision 0)
+++ tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/StatsEngine.java	(revision 783)
@@ -0,0 +1,11 @@
+package org.txm.statsengine.core;
+
+import org.txm.Engine;
+
+public abstract class StatsEngine implements Engine {
+
+	public static final String EXTENSION_POINT_ID = "org.txm.statsengine.core.StatsEngine"; //$NON-NLS-1$
+
+	@Override
+	public abstract String getName();
+}

Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 782)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 783)
@@ -63,6 +63,7 @@
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TableKeyListener;
 import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.rcp.swt.GLComposite;
 import org.txm.rcp.swt.widget.structures.PropertiesComboViewer;
 import org.txm.rcp.views.QueriesView;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -114,7 +115,11 @@
 	boolean reverse = DEFAULTREVERSE;
 
 
+	private Label infoLine;
+
+
 	
+	
 	/**
 	 * Unit property.
 	 */
@@ -130,9 +135,7 @@
 //	@Parameter(key=LexicalTablePreferences.V_MAX)
 	protected Spinner vMax;
 
-	private Label infoLine;
 
-
 	
 	
 	
@@ -148,10 +151,24 @@
 		try {
 			lexicalTable = (LexicalTable) this.getResult();
 			
-			Composite parametersArea = this.getCommandParametersGroup();
 			
+			// Main parameters
+			GLComposite mainParametersArea = this.getMainParametersComposite();
+			mainParametersArea.getLayout().numColumns = 2;
+
+			// unit property
+			new Label(mainParametersArea, SWT.NONE).setText(TXMCoreMessages.common_property);
+			this.unitPropertyComboViewer = new PropertiesComboViewer(mainParametersArea, this, true,
+					Corpus.getFirstParentCorpus(this.getResult()).getOrderedProperties(),
+					this.getResult().getProperty(), false);
+
+			
+
+			// Extended parameters
+			Composite extendedParametersArea = this.getExtendedParametersComposite();
+			
 			// Apply button
-			Button keepTop = new Button(parametersArea, SWT.PUSH);
+			Button keepTop = new Button(extendedParametersArea, SWT.PUSH);
 			keepTop.setText(LexicalTableUIMessages.LexicalTableEditor_4);
 			keepTop.addSelectionListener(new SelectionListener() {
 				@Override
@@ -182,25 +199,18 @@
 			});
 			
 			// Number of lines
-			Label nLines = new Label(parametersArea, SWT.NONE);
+			Label nLines = new Label(extendedParametersArea, SWT.NONE);
 			nLines.setText(TXMCoreMessages.common_numberOfLines);
-			vMax = new Spinner(parametersArea, SWT.BORDER);
+			vMax = new Spinner(extendedParametersArea, SWT.BORDER);
 
 			// Fmin
-			Label fmin = new Label(parametersArea, SWT.NONE);
+			Label fmin = new Label(extendedParametersArea, SWT.NONE);
 			fmin.setText(TXMCoreMessages.common_fMin);
-			fMin = new Spinner(parametersArea, SWT.BORDER);
+			fMin = new Spinner(extendedParametersArea, SWT.BORDER);
 
-			// unit property
-			new Label(parametersArea, SWT.NONE).setText(TXMCoreMessages.common_property);
-			this.unitPropertyComboViewer = new PropertiesComboViewer(parametersArea, this, true,
-					Corpus.getFirstParentCorpus(this.getResult()).getOrderedProperties(),
-					this.getResult().getProperty(), false);
-
 			
-			
 			// Merge or delete columns button
-			Button fusionCol = new Button(parametersArea, SWT.PUSH);
+			Button fusionCol = new Button(extendedParametersArea, SWT.PUSH);
 			fusionCol.setText(LexicalTableUIMessages.LexicalTableEditor_10);
 			fusionCol.addSelectionListener(new SelectionListener() {
 				@Override
@@ -293,7 +303,7 @@
 			});
 
 			// Merge or delete lines button
-			Button mergeDeleteRows = new Button(parametersArea, SWT.PUSH);
+			Button mergeDeleteRows = new Button(extendedParametersArea, SWT.PUSH);
 			mergeDeleteRows.setText(LexicalTableUIMessages.LexicalTableEditor_13);
 			mergeDeleteRows.addSelectionListener(new SelectionListener() {
 				@Override
@@ -440,9 +450,9 @@
 	 */
 	public void refreshTable(boolean update) {
 
-//		if(!update)	{
+		if(this.lexicalTable.hasBeenComputedOnce())	{
 			
-			formColumn.getColumn().setText(this.lexicalTable.getProperty().getName()); 
+			formColumn.getColumn().setText(this.lexicalTable.getProperty().getName());
 
 			collist = new ArrayList<Object>();
 			Vector colnames = lexicalTable.getColNames();
@@ -466,21 +476,24 @@
 				org.txm.rcp.utils.Logger.printStackTrace(e1);
 				return;
 			}
-//		}
 
 		
-		LineLabelProvider labelprovider = new LineLabelProvider(this.lexicalTable);
-		this.viewer.setLabelProvider(labelprovider);
-		this.cols = labelprovider.getCols();
-		this.rows = labelprovider.getRows();
-		//this.freqs = labelprovider.getFreqs();
+			LineLabelProvider labelprovider = new LineLabelProvider(this.lexicalTable);
+			this.viewer.setLabelProvider(labelprovider);
+			this.cols = labelprovider.getCols();
+			this.rows = labelprovider.getRows();
+			//this.freqs = labelprovider.getFreqs();
+	
 
-
+		}
+		
 		// Refresh and pack the columns
 		TXMEditor.packColumns(this.viewer);
 		
 		this.viewer.getTable().deselectAll();
 		this.viewer.getTable().setFocus();
+		
+		
 	}
 		
 	
@@ -631,13 +644,16 @@
 	 @Override
 	public void updateEditorFromResult(boolean update) {
 		vMax.setMinimum(1);
-		vMax.setMaximum(lexicalTable.getData().getNRows());
-		vMax.setSelection(lexicalTable.getData().getNRows());
-		fMin.setMinimum(lexicalTable.getData().getFMin());
-		fMin.setMaximum(lexicalTable.getData().getFMax());
+		if(lexicalTable.getData() != null)	{
+			vMax.setMaximum(lexicalTable.getData().getNRows());
+			vMax.setSelection(lexicalTable.getData().getNRows());
+			fMin.setMinimum(lexicalTable.getData().getFMin());
+			fMin.setMaximum(lexicalTable.getData().getFMax());
+			
+			this.refreshTable(update);
+			this.refreshInfos();
+		}
 		
-		this.refreshTable(update);
-		this.refreshInfos();
 		
 		QueriesView.refresh();
 		RVariablesView.refresh();
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 782)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 783)
@@ -167,7 +167,7 @@
 		ComputeSelectionListener computeSelectionListener = new ComputeSelectionListener(this);
 		ComputeKeyListener computeKeyListener = new ComputeKeyListener(this);
 		
-		Composite paramArea = this.getCommandParametersGroup();
+		Composite paramArea = this.getExtendedParametersComposite();
 		paramArea.setLayout(new FormLayout());
 
 		// info&navigation panel
@@ -191,17 +191,17 @@
 		// | Query: [ (v)] [Search] |
 		
 		// Query:
-		getMinimalParametersComposite().getLayout().numColumns = 3;
+		getMainParametersComposite().getLayout().numColumns = 3;
 		// make the zone expandable to display the longest query field
-		getMinimalParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
+		getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 				
 		// Query:
-		queryLabel = new Label(getMinimalParametersComposite(), SWT.NONE);
+		queryLabel = new Label(getMainParametersComposite(), SWT.NONE);
 		queryLabel.setText(TXMCoreMessages.common_query);
 		queryLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, true));
 
 		// [ (v)]
-		queryWidget = new AssistedQueryWidget(getMinimalParametersComposite(), SWT.DROP_DOWN,	index.getCorpus());
+		queryWidget = new AssistedQueryWidget(getMainParametersComposite(), SWT.DROP_DOWN,	index.getCorpus());
 		GridData layoutData = new GridData(GridData.VERTICAL_ALIGN_CENTER);
 		layoutData.horizontalAlignment = GridData.FILL;
 		layoutData.grabExcessHorizontalSpace = true;
@@ -210,7 +210,7 @@
 
 		
 		// Word properties selector
-		propertiesSelector = new PropertiesSelector<WordProperty>(getMinimalParametersComposite(), SWT.NONE);
+		propertiesSelector = new PropertiesSelector<WordProperty>(getMainParametersComposite(), SWT.NONE);
 		propertiesSelector.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
 		propertiesSelector.setLayout(new GridLayout(3, false));
 		try {
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/DictionnaryEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/DictionnaryEditor.java	(revision 782)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/DictionnaryEditor.java	(revision 783)
@@ -31,7 +31,7 @@
 		this.queryLabel.dispose();
 		
 		// no query field -> no need to expand the zone
-		getMinimalParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
+		getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
 		
 	}
 }
\ No newline at end of file
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 782)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 783)
@@ -102,7 +102,7 @@
 		ComputeKeyListener computeKeyListener = new ComputeKeyListener(this);
 		
 		
-		Composite parametersArea = getCommandParametersGroup();
+		Composite parametersArea = getExtendedParametersComposite();
 		parametersArea.setLayout(new GridLayout(5,false));
 		parametersArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		
@@ -144,8 +144,10 @@
 		structuralUnitPropertiesSelector.setTitle(InternalViewUIMessages.InternalViewEditor_5);
 		structuralUnitPropertiesSelector.addSelectionListener(computeSelectionListener);
 		
+		
 		navigationPanel = getBottomToolbar().installGLComposite("navigation", 4 , false);
 		navigationPanel.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
+
 		
 		// Navigation widget
 		navigation = new NewNavigationWidget(navigationPanel);
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 782)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 783)
@@ -180,17 +180,17 @@
 
 		try {
 			// Query:
-			getMinimalParametersComposite().getLayout().numColumns = 2;
+			getMainParametersComposite().getLayout().numColumns = 2;
 			// make
-			getMinimalParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
+			getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 			
-			Label queryLabel = new Label(getMinimalParametersComposite(), SWT.NONE);
+			Label queryLabel = new Label(getMainParametersComposite(), SWT.NONE);
 			queryLabel.setText("Add query");
 			queryLabel.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
 
 			// [ (v)]
 			// queryWidget = new QueryWidget(queryArea, SWT.DROP_DOWN);
-			queryWidget = new AssistedQueryWidget(getMinimalParametersComposite(), SWT.DROP_DOWN, getResult().getCorpus());
+			queryWidget = new AssistedQueryWidget(getMainParametersComposite(), SWT.DROP_DOWN, getResult().getCorpus());
 			queryWidget.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
 			queryWidget.addKeyListener(new ComputeKeyListener(this) {
 				@Override
@@ -204,7 +204,7 @@
 			});
 			
 			// System.out.println(parent.getLayout());
-			Composite mainPanel = this.getCommandParametersGroup();
+			Composite mainPanel = this.getExtendedParametersComposite();
 			GridData gridData = new GridData(GridData.FILL, GridData.FILL, true, true);
 			mainPanel.setLayoutData(gridData);
 			GridLayout glayout = new GridLayout(2, false);
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 782)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 783)
@@ -137,22 +137,37 @@
 				&& super.autoLoadParametersFromAnnotations(Parameter.RENDERING));
 	}
 
+
+	@Override
+	public void setDirty() {
+		super.setDirty();
+		this.chart = null;
+		this.setChartDirty();
+	}
+
+	/**
+	 * 
+	 */
+	public void setChartDirty() {
+		this.chartDirty = true;
+	}
+
+
 	
-	
 	@Override
 	public boolean compute(IProgressMonitor monitor) throws Exception {
 
-		// FIXME: Debug
-		System.err.println("************** ChartResult.compute(): computing result of type " + this.getClass() + "...");
+		Log.finest("************** ChartResult.compute(): computing result of type " + this.getClass() + "...");
 
 		// compute the result if needed
-		if(super.compute(monitor, false))	{
+		if(super.compute(monitor, true, false))	{
 			// compute the chart
 			return renderChart();
 		}
 		else	{
 			return false;
 		}
+
 	}
 	
 	/**
@@ -164,21 +179,14 @@
 
 		this.subTask("Rendering chart for result " + this.getClass() + " and chart type " + this.getChartType() + ".");
 
-		// FIXME: Debug
-		System.err.println("ChartResult.renderChart(): rendering chart for result " + this.getClass() + " and chart type " + this.getChartType() + "...");
+		Log.finest("ChartResult.renderChart(): rendering chart for result " + this.getClass() + " and chart type " + this.getChartType() + "...");
 
-		
-		if (!this.isChartDirtyFromHistory()) {
-
-			// FIXME: Debug
-			System.err.println("ChartResult.renderChart(): chart rendering parameters have not changed since last rendering, rendering skipped.");
+		if (!this.chartDirty && !this.isChartDirtyFromHistory()) {
+			Log.finest("ChartResult.renderChart(): chart rendering parameters have not changed since last rendering, rendering skipped.");
 			return true;
 		}
 		else if (!this.chartDirty) {
-			
-			// FIXME: Debug
-			System.err.println("ChartResult.renderChart(): chart is not dirty, rendering skipped.");
-
+			Log.finest("ChartResult.renderChart(): chart is not dirty, rendering skipped.");
 			return true;
 		}
 
@@ -193,7 +201,7 @@
 				}
 				chartCreator = ChartsEngine.getChartsEngines().get(i).getChartCreator(this);
 				if(chartCreator != null)	{
-					System.out.println("ChartResult.renderChart(): another suitable chart creator has been found in charts engine: " + ChartsEngine.getChartsEngines().get(i) + ".");
+					Log.finest("ChartResult.renderChart(): another suitable chart creator has been found in charts engine: " + ChartsEngine.getChartsEngines().get(i) + ".");
 					this.chartsEngine = ChartsEngine.getChartsEngines().get(i);
 					break;
 				}
@@ -208,16 +216,14 @@
 			// The change of the chart type parameter can occur if:
 			// - the chart has never been created
 			// - the chart type has been changed, e.g. to dynamically change the type of chart or the current charts engine
-			if (this.hasParameterChanged(ChartsEnginePreferences.CHART_TYPE)) {
-				// FIXME: debug
-				System.err.println("ChartResult.renderChart(): creating chart.");
+			if (this.chart == null || this.hasParameterChanged(ChartsEnginePreferences.CHART_TYPE)) {
+				Log.finest("ChartResult.renderChart(): creating chart.");
 
 				this.chart = chartCreator.createChart(this);
 			}
 			
 			// Updating
-			// FIXME: debug
-			System.err.println("ChartResult.renderChart(): updating chart.");
+			Log.finest("ChartResult.renderChart(): updating chart.");
 			
 			// FIXME: the update must be done here (BEFORE the call of this.updateLastRenderingParameters()) rather than in the SWTChartComponentsProvider => the problem is that for File based Engine, the file may be created twice, need to check this
 			// also before the call of this.updateLastParameters() to be able to check if a computing parameter has changed in the chart creators 
@@ -403,21 +409,7 @@
 		return chartDirty;
 	}
 
-	@Override
-	public void setDirty() {
-		super.setDirty();
-		this.setChartDirty();
-	}
-
 	/**
-	 * 
-	 */
-	public void setChartDirty() {
-		this.chartDirty = true;
-	}
-
-
-	/**
 	 * @return the needsToResetView
 	 */
 	public boolean needsToResetView() {
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 782)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 783)
@@ -8,9 +8,6 @@
 
 import org.eclipse.core.runtime.CoreException;
 import org.eclipse.core.runtime.IConfigurationElement;
-import org.eclipse.core.runtime.IExtension;
-import org.eclipse.core.runtime.IExtensionPoint;
-import org.eclipse.core.runtime.InvalidRegistryObjectException;
 import org.eclipse.core.runtime.Platform;
 import org.eclipse.core.runtime.RegistryFactory;
 import org.txm.Engine;
@@ -97,7 +94,7 @@
 		this.theme = new Theme();
 		//FIXME: this preference is not used at this time, see if it's useless or not.
 		this.directComputing = true;
-		Log.warning("Starting Charts Engine: " + this);
+		Log.info("Starting Charts Engine: " + this + ".");
 	}
 
 	/**
@@ -213,7 +210,7 @@
 		
 		log +=".";
 		
-		Log.info(log);
+		Log.finest(log);
 		
 	}
 
@@ -223,31 +220,25 @@
 	 */
 	public static void createChartsEngines()	{
 
-		try {
-			Log.info("Looking for charts engines contributions with extension point id " + ChartsEngine.extensionPointId + ".");
-			
-			ChartsEngine.chartsEngines = new ArrayList<ChartsEngine>();
-			ChartsEngine.currentChartsEngineIndex = 0;
+		Log.finest("Looking for charts engines contributions with extension point id " + ChartsEngine.extensionPointId + ".");
+		
+		ChartsEngine.chartsEngines = new ArrayList<ChartsEngine>();
+		ChartsEngine.currentChartsEngineIndex = 0;
 
-			IConfigurationElement[] contributions =  RegistryFactory.getRegistry().getConfigurationElementsFor(ChartsEngine.extensionPointId);
+		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor(ChartsEngine.extensionPointId);
 
-			Log.info(contributions.length + " charts engines found.");
-			
-			for(int i = 0; i < contributions.length; i++) {
-				try {
-					ChartsEngine chartsEngine = (ChartsEngine)contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
-					chartsEngine.registerChartCreatorExtensions();
-					ChartsEngine.chartsEngines.add(chartsEngine);
-				}
-				catch(CoreException e) {
-					e.printStackTrace();
-				} 
+		Log.finest(contributions.length + " charts engines found.");
+		
+		for(int i = 0; i < contributions.length; i++) {
+			try {
+				ChartsEngine chartsEngine = (ChartsEngine)contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
+				chartsEngine.registerChartCreatorExtensions();
+				ChartsEngine.chartsEngines.add(chartsEngine);
 			}
+			catch(CoreException e) {
+				e.printStackTrace();
+			} 
 		}
-		catch (InvalidRegistryObjectException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
 	}
 
 	/**
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 782)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 783)
@@ -349,7 +349,7 @@
 	@Override
 	public void _createPartControl(Composite parent) {
 
-		Composite controlArea = getCommandParametersGroup();
+		Composite controlArea = getExtendedParametersComposite();
 
 		try {
 			composeControlArea(controlArea);
@@ -954,17 +954,17 @@
 		// | Query: [ (v)] [Search] |
 
 		// Query:
-		getMinimalParametersComposite().getLayout().numColumns = 2;
+		getMainParametersComposite().getLayout().numColumns = 2;
 		// make
-		getMinimalParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
+		getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		
-		queryLabel = new Label(getMinimalParametersComposite(), SWT.NONE);
+		queryLabel = new Label(getMainParametersComposite(), SWT.NONE);
 		queryLabel.setText(TXMUIMessages.CreateSubcorpusDialog_10);
 		queryLabel.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
 
 		// [ (v)]
 		// queryWidget = new QueryWidget(queryArea, SWT.DROP_DOWN);
-		queryWidget = new AssistedQueryWidget(getMinimalParametersComposite(), SWT.DROP_DOWN, concordance.getCorpus());
+		queryWidget = new AssistedQueryWidget(getMainParametersComposite(), SWT.DROP_DOWN, concordance.getCorpus());
 		queryWidget.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
 		queryWidget.addKeyListener(new ComputeKeyListener(this));
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 782)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 783)
@@ -145,7 +145,7 @@
 	@Override
 	public int getSize() throws CqiClientException {
 		if (this.size == -1) {
-			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.SUBCORPUS_SIZE, new Object[]{this.name, "N/A"}));
+			//Log.finest(TXMCoreMessages.bind(TXMCoreMessages.SUBCORPUS_SIZE, new Object[]{this.name, "N/A"}));
 			long start = System.currentTimeMillis();
 
 			try {
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java	(revision 782)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java	(revision 783)
@@ -229,7 +229,7 @@
 	}
 	
 	public void connectToRWorkspace() {
-		if (!readyToDisplay && Toolbox.getEngineManager(EngineType.STAT).getEngine("R").getState()) {
+		if (!readyToDisplay && Toolbox.getEngineManager(EngineType.STATS).getEngine("R").getState()) {
 			RWorkspace rw = null;
 			Log.warning(RUIMessages.RConsole_0);
 			try {
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java	(revision 782)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java	(revision 783)
@@ -91,7 +91,7 @@
 		else if (Util.isLinux()) method = "wget"; //$NON-NLS-1$
 		
 		boolean ret = true;
-		if (Toolbox.getEngineManager(EngineType.STAT).getEngine("R").getState()) {
+		if (Toolbox.getEngineManager(EngineType.STATS).getEngine("R").getState()) {
 			RWorkspace rw = null;
 			try {
 				rw = RWorkspace.getRWorkspaceInstance();
Index: tmp/org.txm.information.rcp/src/org/txm/information/rcp/editors/InformationEditor.java
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/information/rcp/editors/InformationEditor.java	(revision 782)
+++ tmp/org.txm.information.rcp/src/org/txm/information/rcp/editors/InformationEditor.java	(revision 783)
@@ -44,7 +44,7 @@
 	@Override
 	public void _createPartControl(Composite parent) {
 		
-		Composite parametersArea = this.getCommandParametersGroup();
+		Composite parametersArea = this.getExtendedParametersComposite();
 		
 		// label
 		new Label(parametersArea, SWT.NONE).setText("V max");
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 782)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 783)
@@ -140,6 +140,15 @@
 	@Override
 	protected boolean _compute() throws Exception {
 		try {
+			// clear cache
+			this.colnames = null;
+			this.coltitles = null;
+			this.coltabledata = null;
+			this.rownames = null;
+			this.rowtitles = null;
+			this.rowtabledata = null;
+			
+			
 			if (this.useFactoMineR) {
 				this.r_ca = new FactoMineRCA(this.getLexicalTable().getData());
 			}
@@ -149,14 +158,9 @@
 
 			this.r_ca.compute();
 
-			// in case the lexical table changes
-			this.getColNames();
-			// in case the lexical table changes
-			this.getRowNames();
-
 			return true;
 		} catch(Exception e) {
-			System.out.println("Error: CA not computed: "+e);
+			Log.severe("Failed to compute CA.");
 			Log.printStackTrace(e);
 			return false;
 		}
@@ -687,7 +691,7 @@
 
 	@Override
 	public String getSimpleName() {
-		return getParent().getSimpleName() + " (" + this.firstDimension + "," + this.secondDimension + ")";
+		return this.getParent().getSimpleName() + " (" + this.firstDimension + "," + this.secondDimension + ")";
 	}
 
 	@Override
@@ -697,11 +701,10 @@
 
 	@Override
 	public String getName() {
-		return this.getParent().getSimpleName() + ": " + this.getSimpleName();
+		return this.getSimpleName();
 	}
 
 
-
 	/**
 	 * Get the singular values as array.
 	 *
